Return an array of available PDO drivers

- « PDO::getAttribute

- PDO::inTransaction »

- PHP Manual
- PDO
- Return an array of available PDO drivers

# PDO::getAvailableDrivers

# pdo_drivers

(PHP 5 >= 5.1.0, PHP 7, PHP 8, PECL pdo >= 1.0.3)

PDO::getAvailableDrivers -- pdo_drivers — Return an array of available PDO drivers

### Description

public static PDO::getAvailableDrivers(): array
pdo_drivers(): array

This function returns all currently available PDO drivers which can be used in `DSN` parameter of PDO::__construct().

### Parameters

This function has no parameters.

### Return Values

PDO::getAvailableDrivers() returns an array of PDO driver names. If no drivers are available, it returns an empty array.

### Examples

Example #1 A PDO::getAvailableDrivers() example

    <?phpprint_r(PDO::getAvailableDrivers());?>

The above example will output something similar to:

    Array
    (
        [0] => mysql
        [1] => sqlite
    )